### Method

# GLib Date set_time_val

deprecated: 2.62 since: 2.10

#### Declaration [src]

    void
    g_date_set_time_val (
      GDate* date,
      GTimeVal* timeval
    )

#### Description [src]

Sets the value of a date from a `GTimeVal` value. Note that the `tv_usec` member is ignored, because `GDate` can’t make use of the additional precision.

The time to date conversion is done using the user’s current timezone.

Available since: 2.10

Deprecated since: 2.62

`GTimeVal` is not year-2038-safe. Use `g_date_set_time_t()` instead.

#### Parameters

`timeval`

  Type: `GTimeVal`

  `GTimeVal` value to set.

  The data is owned by the caller of the method.